BOS_SETAUTH(8)

NAME
bos_setauth - Sets authorization checking requirements for all server processes

SYNOPSIS
bos setauth -server <machine name> -authrequired (on | off)
    [-cell <cell name>] [-noauth] [-localauth] [-help]

bos seta -s <machine name> -a (on | off)
    [-c <cell name>] [-n] [-l] [-h]

DESCRIPTION
The bos setauth command enables or disables authorization checking on the server machine named by the -server argument. When authorization checking is enabled (the normal case), the AFS server processes running on the machine verify that the issuer of a command meets its privilege requirements. When authorization checking is disabled, server processes perform any action for anyone, including the unprivileged user "anonymous"; this security exposure precludes disabling of authorization checking except during installation or emergencies.

To indicate to the server processes that authorization checking is disabled, the BOS Server creates the zero-length file /var/lib/openafs/local/NoAuth on its local disk. All AFS server processes constantly monitor for the NoAuth file's presence and do not check for authorization when it is present. The BOS Server removes the file when this command is used to re-enable authorization checking.

CAUTIONS
Do not create the NoAuth file directly, except when directed by instructions for dealing with emergencies (doing so requires being logged in as the local superuser "root"). Use this command instead.

OPTIONS

-server <machine name>
    Indicates the server machine on which to enable or disable authorization checking. Identify the machine by IP address or its host name (either fully-qualified or abbreviated unambiguously). For details, see bos(8).

-authrequired (on | off)
    Enables authorization checking if the value is "on", or disables it if the value is "off".

-cell <cell name>
    Names the cell in which to run the command. Do not combine this argument with the -localauth flag. For more details, see bos(8).

-noauth
    Assigns the unprivileged identity "anonymous" to the issuer. Do not combine this flag with the -localauth flag. For more details, see bos(8).

-localauth
    Constructs a server ticket using a key from the local /etc/openafs/server/KeyFile or /etc/openafs/server/KeyFileExt file. The bos command interpreter presents the ticket to the BOS Server during mutual authentication. Do not combine this flag with the -cell or -noauth options. For more details, see bos(8).

-help
    Prints the online help for this command. All other valid options are ignored.

EXAMPLES
The following example disables authorization checking on the machine "fs7.example.com":

   % bos setauth -server fs7.example.com -authrequired off

PRIVILEGE REQUIRED
The issuer must be listed in the /etc/openafs/server/UserList file on the machine named by the -server argument, or must be logged onto a server machine as the local superuser "root" if the -localauth flag is included.

SEE ALSO
KeyFile(5), KeyFileExt(5), NoAuth(5), UserList(5), bos(8), bos_restart(8)

COPYRIGHT
IBM Corporation 2000. <http://www.ibm.com/> All Rights Reserved.

This documentation is covered by the IBM Public License Version 1.0. It was converted from HTML to POD by software written by Chas Williams and Russ Allbery, based on work by Alf Wachsmann and Elizabeth Cassell.